org.codehaus.groovy.ast.expr

## Class ArrayExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ArrayExpression

-     public class ArrayExpression
      extends Expression

  Represents an array object construction either using a fixed size or an initializer expression
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayExpression(ClassNode elementType, java.util.List<Expression> expressions)` Creates an array using an initializer expression
    `ArrayExpression(ClassNode elementType, java.util.List<Expression> expressions, java.util.List<Expression> sizeExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpression(Expression expression)`
    `ClassNode` | `getElementType()`
    `Expression` | `getExpression(int i)`
    `java.util.List<Expression>` | `getExpressions()`
    `java.util.List<Expression>` | `getSizeExpression()`
    `java.lang.String` | `getText()`
    `boolean` | `isDynamic()`
    `java.lang.String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayExpression

          public ArrayExpression(ClassNode elementType,
                                 java.util.List<Expression> expressions,
                                 java.util.List<Expression> sizeExpression)

    - #### ArrayExpression

          public ArrayExpression(ClassNode elementType,
                                 java.util.List<Expression> expressions)

      Creates an array using an initializer expression

  - ### Method Detail

    - #### addExpression

          public void addExpression(Expression expression)

    - #### getExpressions

          public java.util.List<Expression> getExpressions()

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### isDynamic

          public boolean isDynamic()

    - #### transformExpression

          public Expression transformExpression(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getExpression

          public Expression getExpression(int i)

    - #### getElementType

          public ClassNode getElementType()

    - #### getText

          public java.lang.String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### getSizeExpression

          public java.util.List<Expression> getSizeExpression()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`